Bug 1277737 - Error: package kf5-kdesu-5.15.0-2.fc23.x86_64 requires kf5-filesystem >= 5.15.0, but none of the providers can be installed.
Error: package kf5-kdesu-5.15.0-2.fc23.x86_64 requires kf5-filesystem >= 5.15...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dnf-plugin-system-upgrade (Show other bugs)
22
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-03 18:24 EST by Garve
Modified: 2016-07-19 15:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:21:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
debugsolver output (6.26 MB, application/zip)
2015-11-04 00:55 EST, derverrucktefuchs
no flags Details

  None (edit)
Description Garve 2015-11-03 18:24:22 EST
Description of problem:
Hello, I'm using Fedora 22 with KDE.
I want to upgrade via 
>sudo dnf system-upgrade download --releasever=23 --best --allowerasing
but I get the following error:
Error: package kf5-kdesu-5.15.0-2.fc23.x86_64 requires kf5-filesystem >= 5.15.0, but none of the providers can be installed.
package gstreamer-plugins-ugly-0.10.19-18.fc22.x86_64 requires libx264.so.142()(64bit), but none of the providers can be installed

This is weird, because for exmaple kf5-filesystem is available in the Fedora 22 repos at least.

>sudo dnf info kf5-filesystem
Last metadata expiration check performed 1:26:20 ago on Tue Nov  3 22:55:58 2015.
Installed Packages
Name        : kf5-filesystem
Arch        : x86_64
Epoch       : 0
Version     : 5.15.0
Release     : 1.fc22
Size        : 0.0  
Repo        : @System
Summary     : Filesystem for KDE Frameworks 5
URL         : http://www.kde.org
License     : BSD
Description : Filesystem for KDE Frameworks 5.




Version-Release number of selected component (if applicable):
dnf-plugin-system-upgrade-0.7.0-1.fc22.noarch

How reproducible:
sudo dnf system-upgrade download --releasever=23 --best --allowerasing

Steps to Reproduce:
1. sudo dnf system-upgrade download --releasever=23 --best --allowerasing
2. 
3.

Actual results:
Errors.

Expected results:
Fedora 23!

Additional info:
Comment 1 Garve 2015-11-03 18:35:18 EST
I did a distro-sync before by the way.
Comment 2 derverrucktefuchs 2015-11-03 23:43:36 EST
> Error: package kf5-kdesu-5.15.0-2.fc23.x86_64 requires kf5-filesystem >= 5.15.0, but none of the providers can be installed.

I've been having the same issue with kf5-kdesu trying to upgrade to 23. The line "kf5-filesystem >= 5.15.0" leads me to think that it's lacking a ".fc23.x86_64" or similar at the end of kf5-filesystem's version number in the kf5-kdesu package requirements file. There was a similar package dependency naming bug issue with f22-kde-theme that rendered plasma unusable. Fedora seems to have everything renamed slightly, and forgetting a package or two in the process can mess things up quite a bit.


As for the gstreamer-plugins-ugly package, it looks like that may be more of an issue with rpmfusion. Uninstalling and waiting for the package to show up in in rpmfusion's Fedora 23 repo before reinstalling it is a possible workaround. 

http://forums.fedoraforum.org/showthread.php?p=1746492
Comment 3 Zbigniew Jędrzejewski-Szmek 2015-11-04 00:23:15 EST
That's strange. Do you still get an error if you remove gstreamer-plugins-ugly first? If yes, can you run 'sudo dnf system-upgrade download --releasever=23 --best --allowerasing --debugsolver' and attach the zipped debugdata/ directory?
Comment 4 derverrucktefuchs 2015-11-04 00:55 EST
Created attachment 1089380 [details]
debugsolver output
Comment 5 derverrucktefuchs 2015-11-04 00:57:27 EST
I removed gstreamer-plugins-ugly, and the issues that are associated with it did not show up again. The problem with kf5-kdesu still persists afterward.
Comment 6 Garve 2015-11-04 15:08:00 EST
Well I upgraded nevertheless, without the --best option. Some packages get downgraded then, but probably the Fedora maintainers will fix that at a later date. Upgrade went smoothly nevertheless, just these kf5 packages are n version 5.14 now instead of 5.15.
Comment 7 derverrucktefuchs 2015-11-04 16:00:01 EST
I think I've figured at least part of it out. Checking one of the mirrors on https://mirrors.fedoraproject.org/mirrorlist?repo=fedora-23&arch=x86_64 shows that they only have kf5 version 5.14 packages available. The mirror's directory I checked was http://ftp.linux.ncsu.edu/pub/fedora/linux/development/23/x86_64/os/Packages/k/. Since the version F22 has installed is kf5 5.15 it's too new for what's available on F23, which prevents a normal upgrade to F23. I'm checking the other mirrors to see if they have any kf5 5.15 packages available. If any do, switching to a mirror that does should let the update go smoothly. Otherwise, either waiting for kf5 5.15 to be pushed to the repos, or downgrading like Garve did should work just fine.
Comment 8 derverrucktefuchs 2015-11-04 16:12:23 EST
I'm not seeing any indication that any of the other mirrors have kf5 5.15. So either downgrade kf5 to 5.14 or wait for the update to kf5 5.15 to get pushed to F23 seem to be the answer here.
Comment 9 derverrucktefuchs 2015-11-04 16:20:03 EST
(In reply to Garve from comment #6)
> Well I upgraded nevertheless, without the --best option. Some packages get
> downgraded then, but probably the Fedora maintainers will fix that at a
> later date. Upgrade went smoothly nevertheless, just these kf5 packages are
> n version 5.14 now instead of 5.15.

How is that working out for you? It looks there are stability issues with downgrading. https://bugzilla.redhat.com/show_bug.cgi?id=1277850
Comment 10 derverrucktefuchs 2015-11-04 16:28:07 EST
kf5 5.15 looks like it's been pushed to stable, but might not have gotten pushed to the necessary mirrors, or it might be in a weird limbo state for F23. 

https://bodhi.fedoraproject.org/updates/extra-cmake-modules-5.15.0-1.fc23%20kf5-5.15.0-1.fc23%20kf5-attica-5.15.0-1.fc23%20kf5-baloo-5.15.0-1.fc23%20kf5-bluez-qt-5.15.0-1.fc23%20kf5-frameworkintegration-5.15.0-1.fc23%20kf5-kactivities-5.15.0-1.fc23%20kf5-kapidox-5.15.0-1.fc23%20kf5-karchive-5.15.0-1.fc23%20kf5-kauth-5.15.0-1.fc23%20kf5-kbookmarks-5.15.0-1.fc23%20kf5-kcmutils-5.15.0-1.fc23%20kf5-kcodecs-5.15.0-1.fc23%20kf5-kcompletion-5.15.0-1.fc23%20kf5-kconfig-5.15.0-1.fc23%20kf5-kconfigwidgets-5.15.0-1.fc23%20kf5-kcoreaddons-5.15.0-1.fc23%20kf5-kcrash-5.15.0-1.fc23%20kf5-kdbusaddons-5.15.0-1.fc23%20kf5-kdeclarative-5.15.0-1.fc23%20kf5-kded-5.15.0-1.fc23%20kf5-kdelibs4support-5.15.0-1.fc23%20kf5-kdesignerplugin-5.15.0-1.fc23%20kf5-kdewebkit-5.15.0-1.fc23%20kf5-kdnssd-5.15.0-1.fc23%20kf5-kdoctools-5.15.0-1.fc23%20kf5-kemoticons-5.15.0-1.fc23%20kf5-kfilemetadata-5.15.0-1.fc23%20kf5-kglobalaccel-5.15.0-1.fc23%20kf5-kguiaddons-5.15.0-1.fc23%20kf5-khtml-5.15.0-1.fc23%20kf5-ki18n-5.15.0-1.fc23%20kf5-kiconthemes-5.15.0-1.fc23%20kf5-kidletime-5.15.0-1.fc23%20kf5-kimageformats-5.15.0-1.fc23%20kf5-kinit-5.15.0-1.fc23%20kf5-kio-5.15.0-1.fc23%20kf5-kitemmodels-5.15.0-1.fc23%20kf5-kitemviews-5.15.0-1.fc23%20kf5-kjobwidgets-5.15.0-1.fc23%20kf5-kjs-5.15.0-1.fc23%20kf5-kjsembed-5.15.0-1.fc23%20kf5-kmediaplayer-5.15.0-1.fc23%20kf5-knewstuff-5.15.0-1.fc23%20kf5-knotifications-5.15.0-1.fc23%20kf5-knotifyconfig-5.15.0-1.fc23%20kf5-kpackage-5.15.0-1.fc23%20kf5-kparts-5.15.0-1.fc23%20kf5-kpeople-5.15.0-1.fc23%20kf5-kplotting-5.15.0-1.fc23%20kf5-kpty-5.15.0-1.fc23%20kf5-kross-5.15.0-1.fc23%20kf5-krunner-5.15.0-1.fc23%20kf5-kservice-5.15.0-1.fc23%20kf5-ktexteditor-5.15.0-2.fc23%20kf5-ktextwidgets-5.15.0-1.fc23%20kf5-kunitconversion-5.15.0-1.fc23%20kf5-kwidgetsaddons-5.15.0-1.fc23%20kf5-kwindowsystem-5.15.0-1.fc23%20kf5-kxmlgui-5.15.0-1.fc23%20kf5-kxmlrpcclient-5.15.0-1.fc23%20kf5-modemmanager-qt-5.15.0-1.fc23%20kf5-networkmanager-qt-5.15.0-1.fc23%20kf5-plasma-5.15.0-1.fc23%20kf5-solid-5.15.0-1.fc23%20kf5-sonnet-5.15.0-1.fc23%20kf5-threadweaver-5.15.0-1.fc23

It may be pending review/quality assurance, or waiting to be signed.
Comment 11 Fedora End Of Life 2016-07-19 15:21:55 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.